# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

%define snapshot        20011119

Name:           cryptix-asn1
Version:        0.1.12
Release:        0.1.cvs%{snapshot}.1jpp
Epoch:          0
Summary:        Cryptix ASN1 implementation
License:        BSD style
Group:          Security/Cryptography
Url:            http://www.cryptix.org
Source0:        Cryptix-asn1-%{snapshot}.tar.gz
Source1:        %{name}.build.script
Requires:       cryptix
BuildRequires:  ant, cryptix, jpackage-utils > 1.5
%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%if %{gcj_support}
BuildRequires:          java-gcj-compat-devel
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif

%description
Java crypto package and asn1 implementation.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n Cryptix-asn1-%{snapshot}
cp %{SOURCE1} build.xml
# remove all binary libs
rm -fr $(find . -name "*.jar")

%build
ant clean jar javadoc

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(-,root,root)
%doc cryptix/asn1/docs/*
%{_javadir}/*.jar

%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/cryptix-asn1-%{version}.jar.*
%endif

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}

%changelog
* Mon Mar 12 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:0.1.12-0.1.cvs20011119.1jpp
- Fix naming according to http://article.gmane.org/gmane.linux.jpackage.general/11093
- Remove section, vendor and distribution tags
- Make javadoc installation directory unversioned

* Mon Jul 24 2006 Vivek Lakshmanan <vivekl@redhat.com> 0.1.12-0.cvs20011119.7jpp
- Conditional native compilation for GCJ.

* Mon Jul 24 2006 Fernando Nasser <fnasser@redhat.com> 0.1.12-0.cvs20011119.6jpp
- First JPP 1.7 build
- Use current conventions for snapshots

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> 20011119-5jpp
- Build with ant-1.6.2
- BuildReq jpackage-utils >= 0:1.5

* Wed Mar 26 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 20011119-4jpp
- for jpackage-utils 1.5

* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 20011119-3jpp 
- vendor, distribution, group tags
- section macro

* Fri Jan 18 2002 Henri Gomez <hgomez@slib.fr> 20011119-2jpp
- add version in javadoc dir

* Fri Dec 14 2001 Henri Gomez <hgomez@slib.fr> 20011119-1jpp
- first JPackage release
- this snapshot came from puretls site, www.rtfm.com, since it fixes problems with puretls
